OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_PropertyDefinition Class Reference

Representation of STEP entity PropertyDefinition
.

`#include <StepRepr_PropertyDefinition.hxx>`

Inheritance diagram for StepRepr_PropertyDefinition:

[legend]

## Public Member Functions
Standard_EXPORT | StepRepr_PropertyDefinition ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasDescription, const Handle(TCollection_HAsciiString)&aDescription, const StepRepr_CharacterizedDefinition &aDefinition)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Standard_Boolean | HasDescription () const
| Returns True if optional field Description is defined .
Standard_EXPORT StepRepr_CharacterizedDefinition | Definition () const
| Returns field Definition .
Standard_EXPORT void | SetDefinition (const StepRepr_CharacterizedDefinition &Definition)
| Set field Definition .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
StepRepr_CharacterizedDefinition | theDefinition
Standard_Boolean | defDescription

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_PropertyDefinition::StepRepr_PropertyDefinition | ( |  | ) |

## Member Function Documentation

Standard_EXPORT StepRepr_CharacterizedDefinition StepRepr_PropertyDefinition::Definition | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_PropertyDefinition::Description | ( |  | ) | const

Standard_EXPORT const StepRepr_PropertyDefinition::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepRepr_MaterialProperty, StepRepr_ProductDefinitionShape, and StepRepr_StructuralResponseProperty.

Standard_EXPORT Standard_Boolean StepRepr_PropertyDefinition::HasDescription | ( |  | ) | const

Standard_EXPORT void StepRepr_PropertyDefinition::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasDescription,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const StepRepr_CharacterizedDefinition & | aDefinition
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_PropertyDefinition::Name | ( |  | ) | const

Standard_EXPORT void StepRepr_PropertyDefinition::SetDefinition | ( | const StepRepr_CharacterizedDefinition & | Definition | ) |

Standard_EXPORT void StepRepr_PropertyDefinition::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepRepr_PropertyDefinition::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

## Field Documentation

Standard_Boolean StepRepr_PropertyDefinition::defDescription`[private]`

StepRepr_CharacterizedDefinition StepRepr_PropertyDefinition::theDefinition`[private]`

Handle_TCollection_HAsciiString StepRepr_PropertyDefinition::theDescription`[private]`

Handle_TCollection_HAsciiString StepRepr_PropertyDefinition::theName`[private]`

The documentation for this class was generated from the following file:

- StepRepr_PropertyDefinition.hxx